#!/usr/bin/make -f
# Makefile.docupload file - for python-x2go
# Copyright 2010-2020 by Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, GPLv3+ applies to this file

VERSION=`head -n1 debian/changelog | sed 's,.*(\(.*\)).*,\1,' | cut -d"-" -f1`
DOC_HOST=code.x2go.org
DOC_PATH=/srv/sites/x2go.org/code/doc/python-x2go
DOC_USER=x2go-admin
SPHINX_APIDOC=sphinx-apidoc

doc: docbuild docupload

clean:
	${MAKE} -C docs/ clean

apidoc:
	$(SPHINX_APIDOC) -f -e -o docs/source/ x2go

docbuild: clean
	${MAKE} -C docs/ html SPHINXOPTS="-a -E"

docupdate:
	${MAKE} -C docs/ html

docupload: clean docbuild
	ssh -l${DOC_USER} ${DOC_HOST} rm -Rfv ${DOC_PATH}/*
	scp -r docs/build/html/* ${DOC_USER}@${DOC_HOST}:${DOC_PATH}/
